For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Workflows
    • Overview
  • Get Started
    • MCP Quick Start
    • API Quick Start
  • MCP Server
    • Overview
    • Installation
  • Direct API
    • Overview
    • Authentication
      • GETGet all minds
      • POSTCreate a new mind
      • GETSearch minds
      • GETGet mind by ID
      • PUTUpdate mind by ID
      • DELDelete mind by ID
      • POSTRun simulation
      • GETGet signed URL for artifact upload
      • GETGet memory bank snapshots
      • POSTCreate a memory bank snapshot
      • GETGet memory bank snapshot status
      • GETGet all tags
      • PUTUpdate a tag
      • DELDelete a tag
      • PUTSet tags for a mind
      • GETList simulations
      • GETGet a simulation
      • DELDelete a simulation
      • GETGet psychometrics for a snapshot
      • GETGet topic analysis for a snapshot
      • GETGet snapshot details
      • POSTCreate a snapshot link
      • DELDelete a snapshot
      • POSTLink a snapshot
      • POSTUnlink a snapshot
      • GETGet API Key Usage
      • POSTProxy a request
    • Error Handling
  • SDKs
  • Core Concepts
    • Minds, Snapshots, & Simulations
    • SOC 2, HIPAA, & GDPR
LogoLogo
LogoLogo
Direct APIAPI Reference

Set tags for a mind

PUT
https://api.reasoner.com/api/mindsim/minds/:mindId/tags
PUT
/api/mindsim/minds/:mindId/tags
$curl -X PUT https://api.reasoner.com/api/mindsim/minds/123e4567-e89b-12d3-a456-426614174000/tags \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "tagNames": [
> "Marketing",
> "Product"
> ]
>}'
1{
2 "mind": {
3 "id": "123e4567-e89b-12d3-a456-426614174000",
4 "name": "John Doe",
5 "slug": "john-doe",
6 "email": "john@example.com",
7 "imageUrl": "https://example.com/avatar.jpg",
8 "socialMedia": {},
9 "scope": "private",
10 "isSelf": false,
11 "organizationId": "123e4567-e89b-12d3-a456-426614174001",
12 "createdAt": "2025-01-01T00:00:00.000Z",
13 "updatedAt": "2025-01-01T00:00:00.000Z",
14 "tags": [
15 {
16 "id": "123e4567-e89b-12d3-a456-426614174005",
17 "name": "internal team",
18 "organizationId": "123e4567-e89b-12d3-a456-426614174001",
19 "createdAt": "2025-01-01T00:00:00.000Z",
20 "updatedAt": "2025-01-01T00:00:00.000Z"
21 }
22 ],
23 "snapshotCount": 1,
24 "psychometricCount": 10,
25 "keyTopicCount": 5,
26 "findingCount": 8
27 }
28}
Replaces all tags for a specific mind with the provided tag list. Pass an empty array to remove all tags.
Was this page helpful?
Previous

List simulations

Next
Built with

Authentication

AuthorizationBearer

API key passed as Bearer token in Authorization header (e.g., “Authorization: Bearer YOUR_API_KEY”)

Path parameters

mindIdstringRequired

Request

This endpoint expects an object.
tagNameslist of stringsRequired
Array of tag names to set for this mind. Replaces all existing tags.

Response

Successfully set tags
mindobject

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error